Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.civics.service
Interface SamCivicsService

All Known Implementing Classes:
  SamCivicsServiceImpl

    public interface SamCivicsService

The Interface SamCivicsService. Default impl : `SamCivicsServiceImpl` Factory : `ServiceFactory`

Method Summary
`FindCNKResponse` | `findCNK(X509Certificate certificate, PrivateKey privateKey, FindCNKRequest request)` Find CNK
`FindParagraphTextResponse` | `findParagraphText(X509Certificate certificate, PrivateKey privateKey, ParagraphAndVersesRequestType request)` Find paragraph text.
`FindReimbursementConditionsResponse` | `findReimbursementConditions(X509Certificate certificate, PrivateKey privateKey, FindReimbursementConditionsRequest request)` Find reimbursement conditions.
`GetAddedDocumentsResponse` | `getAddedDocuments(X509Certificate certificate, PrivateKey privateKey, ParagraphAndVersesRequestType request)` Gets the added documents.
`GetParagraphExclusionsResponse` | `getParagraphExclusions(X509Certificate certificate, PrivateKey privateKey, ParagraphRequestType request)` Gets the paragraph exclusions.
`GetParagraphIncludedSpecialitiesResponse` | `getParagraphIncludedSpecialties(X509Certificate certificate, PrivateKey privateKey, ParagraphRequestType request)` Gets the paragraph included specialties.
`GetProfessionalAuthorisationsResponse` | `getProfessionalAuthorizations(X509Certificate certificate, PrivateKey privateKey, GetProfessionalAuthorisationsRequest request)` Gets the professional authorizations.

Method Detail

### findParagraphText

    FindParagraphTextResponse findParagraphText(X509Certificate certificate,
                                                PrivateKey privateKey,
                                                ParagraphAndVersesRequestType request)
                                                throws CivicsBusinessConnectorException,
                                                       TechnicalConnectorException,
                                                       SessionManagementException

  Find paragraph text.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the find paragraph text response
  Throws:
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### getParagraphIncludedSpecialties

    GetParagraphIncludedSpecialitiesResponse getParagraphIncludedSpecialties(X509Certificate certificate,
                                                                             PrivateKey privateKey,
                                                                             ParagraphRequestType request)
                                                                             throws CivicsBusinessConnectorException,
                                                                                    TechnicalConnectorException,
                                                                                    SessionManagementException

  Gets the paragraph included specialties.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the paragraph included specialties
  Throws:
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### getParagraphExclusions

    GetParagraphExclusionsResponse getParagraphExclusions(X509Certificate certificate,
                                                          PrivateKey privateKey,
                                                          ParagraphRequestType request)
                                                          throws CivicsBusinessConnectorException,
                                                                 TechnicalConnectorException,
                                                                 SessionManagementException

  Gets the paragraph exclusions.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the paragraph exclusions
  Throws:
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### getProfessionalAuthorizations

    GetProfessionalAuthorisationsResponse getProfessionalAuthorizations(X509Certificate certificate,
                                                                        PrivateKey privateKey,
                                                                        GetProfessionalAuthorisationsRequest request)
                                                                        throws CivicsBusinessConnectorException,
                                                                               TechnicalConnectorException,
                                                                               SessionManagementException

  Gets the professional authorizations.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the professional authorizations
  Throws:
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### getAddedDocuments

    GetAddedDocumentsResponse getAddedDocuments(X509Certificate certificate,
                                                PrivateKey privateKey,
                                                ParagraphAndVersesRequestType request)
                                                throws CivicsBusinessConnectorException,
                                                       TechnicalConnectorException,
                                                       SessionManagementException

  Gets the added documents.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the added documents
  Throws:
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### findReimbursementConditions

    FindReimbursementConditionsResponse findReimbursementConditions(X509Certificate certificate,
                                                                    PrivateKey privateKey,
                                                                    FindReimbursementConditionsRequest request)
                                                                    throws CivicsBusinessConnectorException,
                                                                           TechnicalConnectorException,
                                                                           SessionManagementException

  Find reimbursement conditions.

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the find reimbursement conditions response
  Throws:
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

### findCNK

    FindCNKResponse findCNK(X509Certificate certificate,
                            PrivateKey privateKey,
                            FindCNKRequest request)
                            throws CivicsBusinessConnectorException,
                                   TechnicalConnectorException,
                                   SessionManagementException

  Find CNK

  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the find reimbursement conditions response
  Throws:
    `CivicsBusinessConnectorException`
    `TechnicalConnectorException` - the technical connector exception
    `SessionManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.